/*
 * mkdisc - Make a WORM disc using a Sony CDW-E1 encoding unit
 *
 * Copyright 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */

#include <stdio.h>
#include <getopt.h>
#include "mkdisc.h"

char *progname;

void
usage(void)
{
    fprintf(stderr,
     "usage: %s [ -v ] [ -r <retries> ] -d <device> -f <file>\n", progname);
    fprintf(stderr,
     "usage: %s [ -v ] [ -r <retries> ] -d <device> -s <size>\n", progname);
}

main(int argc, char *argv[])
{
    char *dev = 0, *image = 0;
    int opt, verbose = 0, max_retries = 10, data_size = 0;

    progname = argv[0];
    while ((opt = getopt(argc, argv, "d:f:r:s:v")) != EOF) {
	switch (opt) {
	case 'd':
	    dev = optarg;
	    break;
	case 'f':
	    image = optarg;
	    break;
	case 'v':
	    verbose++;
	    break;
	case 'r':
	    max_retries = atoi(optarg);
	    break;
	case 's':
	    data_size = atoi(optarg);
	    break;
	default:
	    usage();
	    exit(1);
	}
    }

    if (!dev || (!image && !data_size)) {
	usage();
	exit (1);
    }
    
    exit(mkdisc(dev, image, max_retries, data_size, verbose));
}
